org.apache.ode.daohib.bpel.hobj

## Class HCorrelator

- java.lang.Object
- - org.apache.ode.daohib.bpel.hobj.HObject
  - - org.apache.ode.daohib.bpel.hobj.HCorrelator

-     public class HCorrelator
      extends HObject

  Hibernate table representing a BPEL correlator, or message-router. This class maintains a set of selectors and messages. The selector set is a database representation of the pick/receive activities that need to be matched up to a message, while the message set is the database representation of the messages that have been received that need to be matched up to a pcik/receive.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SELECT_CORRELATOR_IDS_BY_PROCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HCorrelator()` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCorrelatorId()`
    `java.util.Set<HCorrelatorMessage>` | `getMessageCorrelations()` Get the set of `HCorrelatorMessage` objects representing the messages that need matching to a selector (i.e. pick/receive).
    `HProcess` | `getProcess()`
    `java.util.Set<HCorrelatorSelector>` | `getSelectors()` Get the set of `HCorrelatorSelector` objects representing the selectors (i.e. pick/receive) that need matching to an input message.
    `void` | `setCorrelatorId(java.lang.String correlatorId)` Hibernate-mandated setter.
    `void` | `setMessageCorrelations(java.util.Set<HCorrelatorMessage> messages)` Hibernate-mandated setter.
    `void` | `setProcess(HProcess process)` Hibernate-mandated setter.
    `void` | `setSelectors(java.util.Set<HCorrelatorSelector> selectors)` Hibernate-mandated setter.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject

      `getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SELECT_CORRELATOR_IDS_BY_PROCESS

          public static final java.lang.String SELECT_CORRELATOR_IDS_BY_PROCESS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HCorrelator

          public HCorrelator()

      Constructor.

  - ### Method Detail

    - #### getMessageCorrelations

          public java.util.Set<HCorrelatorMessage> getMessageCorrelations()

      Get the set of `HCorrelatorMessage` objects representing the messages that need matching to a selector (i.e. pick/receive).

    - #### setMessageCorrelations

          public void setMessageCorrelations(java.util.Set<HCorrelatorMessage> messages)

      Hibernate-mandated setter.

    - #### getCorrelatorId

          public java.lang.String getCorrelatorId()

    - #### setCorrelatorId

          public void setCorrelatorId(java.lang.String correlatorId)

      Hibernate-mandated setter.

    - #### getProcess

          public HProcess getProcess()

    - #### setProcess

          public void setProcess(HProcess process)

      Hibernate-mandated setter.

    - #### getSelectors

          public java.util.Set<HCorrelatorSelector> getSelectors()

      Get the set of `HCorrelatorSelector` objects representing the selectors (i.e. pick/receive) that need matching to an input message.

    - #### setSelectors

          public void setSelectors(java.util.Set<HCorrelatorSelector> selectors)

      Hibernate-mandated setter.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `HObject`